import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:row_collection/row_collection.dart';

void main() {
  Widget makeWidgetTestable(Widget child) =>
      MaterialApp(home: Scaffold(body: child));

  testWidgets('Displays nothing', (tester) async {
    await tester.pumpWidget(
      makeWidgetTestable(
        RowLayout(
          children: <Widget>[],
        ),
      ),
    );

    expect(find.byType(Widget), findsNothing);
    expect(find.byType(SizedBox), findsNothing);
  });

  testWidgets('Displays all children with spaces', (tester) async {
    await tester.pumpWidget(
      makeWidgetTestable(
        RowLayout(
          children: <Widget>[
            Text('title0'),
            Text('title1'),
            Text('title2'),
          ],
        ),
      ),
    );

    expect(find.byType(Text), findsNWidgets(3));
    expect(find.byType(SizedBox), findsNWidgets(2));
  });
}
